QR waehere
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Ngā Tūāpapa | Taipitopito | Whakaahuatanga |
|---|---|---|
| search | Kōwhiringa Rārangi | Te rārangi rapu. |
| search_by | Kōwhiringa Rārangi | He aha te mara e rapu ana koe? Ko ngā uara e whakaaetia ana ko: name. |
| project_id | Kōwhiringa Tāuru | |
| type | Kōwhiringa Rārangi | He aha te mara e rapu ana koe? Ko ngā uara e whakaaetia ana ko: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: datetime, last_datetime |
| datetime_start | Kōwhiringa Rārangi | Tātarihia ngā hua mai i tēnei rā me te wā. Hōputu Y-m-d H:i:s. |
| datetime_end | Kōwhiringa Rārangi | Tātarihia ngā hua tae noa ki tēnei rā me te wā. Hōputu Y-m-d H:i:s. |
| order_by | Kōwhiringa Rārangi | He aha te mara hei whakarite i ngā hua. Ko ngā uara e whakaaetia ana ko: qr_code_id, datetime, last_datetime, name, type. |
| order_type | Kōwhiringa Rārangi | Ko te whakaritenga o ngā hua. Ko ngā uara e whakaaetia ana: ASC mō te whakaritenga piki, me DESC mō te whakaritenga heke. |
| page | Kōwhiringa Tāuru | Ko te tau whārangi e hiahia ana koe i ngā hua mai. Ka tūtohu ki te 1. |
| results_per_page | Kōwhiringa Tāuru | E hia ngā hua e hiahia ana koe mō ia whārangi. Ko ngā uara e whakaaetia ana ko: 10, 25, 50, 100, 250, 500, 1000. Ko te paerewa ko 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 15:36:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 15:36:59",
}
}
POST https://tistos.com/api/qr-codes
| Ngā Tūāpapa | Taipitopito | Whakaahuatanga |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \